#!/usr/bin/env sh

set -e

topic='SEC_BUF_OVL'
name='brandl_valentin'

if [ -z "${1}" ]
then
  echo "Usage: ${0} <num>"
  exit 1
else
  num="${1}"
fi

file_name="${topic}_${name}_abgabe0${num}"

git archive HEAD --prefix "${file_name}/" -o "../${file_name}.zip"
